# Since it is an emulator, this package should be submitted to tainted

Name:           fceux
Version:        2.2.3
Release:        %mkrel 1
Summary:        A cross platform, NTSC and PAL Famicom/NES emulator
Group:          Emulators
License:        GPLv2+
URL:            http://fceux.com/
Source:         http://downloads.sourceforge.net/fceultra/%{name}-%{version}.src.tar.gz
Patch0:         fceux-2.2.2-mga-desktop.patch

BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  scons

%description
FCEUX is a Nintendo Entertainment System (NES), Famicom, and Famicom
Disk System (FDS) emulator. It supports both PAL (European) and NTSC
(USA/JPN) modes.

The FCEUX concept is that of an "all in one" emulator that offers accurate
emulation and the best options for both casual play and a variety of more
advanced emulator functions. For pro users, FCEUX offers tools for debugging,
rom-hacking, map making, Tool-assisted movies, and Lua scripting

%files
%doc Authors changelog.txt COPYING NewPPUtests.txt README-SDL TODO-SDL
%doc documentation/{cheat.html,faq,todo,TODO-PROJECT,Videolog.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package        net-server
Summary:        Server for the FCEUX emulator

%description    net-server
FCEUX clients can connect to this server and play multiplayer NES games over
the network.

%files          net-server
%doc fceux-server/{AUTHORS,ChangeLog,COPYING,README}
%{_bindir}/%{name}-net-server
%config(noreplace) %{_sysconfdir}/%{name}-server.conf
%{_mandir}/man6/%{name}-net-server.6*

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# Remove bundled LUA and minizip libraries
rm -rf src/lua
rm -rf src/utils/unzip.*

# Fix end-of-line-encoding
sed -i 's/\r//' changelog.txt NewPPUtests.txt \
  documentation/Videolog.txt \
  fceux-server/{AUTHORS,ChangeLog,README}

%build
%setup_compile_flags
%scons \
  RELEASE=1 \
  SYSTEM_LUA=1 \
  SYSTEM_MINIZIP=1

%install
# Install binary files
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/fceux %{buildroot}%{_bindir}
install -p -m 755 bin/fceux-net-server %{buildroot}%{_bindir}

# Install data
install -d %{buildroot}%{_datadir}/%{name}
cp -pR output/{palettes,luaScripts} %{buildroot}%{_datadir}/%{name}
install -p -m 644 bin/auxlib.lua %{buildroot}%{_datadir}/%{name}/luaScripts/

# Install icon
install -D -p -m 644 %{name}.png \
  %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# Install desktop file
install -D -p -m 644 %{name}.desktop \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install man pages
install -d %{buildroot}%{_mandir}/man6
install -p -m 644 documentation/fceux.6 \
  %{buildroot}%{_mandir}/man6/
install -p -m 644 documentation/fceux-net-server.6 \
  %{buildroot}%{_mandir}/man6/

# Install config file
install -D -p -m 644 fceux-server/fceux-server.conf \
  %{buildroot}%{_sysconfdir}/%{name}-server.conf


%changelog
* Fri Jul 29 2016 akien <akien> 2.2.3-1.mga6
+ Revision: 1043888
- Turn on RELEASE build
- Version 2.2.3

* Wed Feb 24 2016 daviddavid <daviddavid> 2.2.2-5.mga6.tainted
+ Revision: 977867
- rebuild for Mageia 6

* Mon Feb 16 2015 oden <oden> 2.2.2-4.mga5.tainted
+ Revision: 815142
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-3.mga5.tainted
+ Revision: 747830
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-2.mga5.tainted
+ Revision: 679106
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 akien <akien> 2.2.2-1.mga5.tainted
+ Revision: 636146
- Update %%description based on the upstream website
- Remove useless stuff from %%prep section
- Add a patch to clean the desktop file
- imported package fceux from Fedora


* Wed Oct 23 2013 Andrea Musuruane <musuruan@gmail.com> - 2.2.2-2
- Added missing update of desktop database

* Sat Oct 19 2013 Andrea Musuruane <musuruan@gmail.com> - 2.2.2-1
- Updated to new upstream realease
- Removed non longer needed patches
- Built with compat-lua for F20+

* Wed Jun 12 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.2.1-2
- Rebuilt for GD 2.1.0

* Tue Apr 02 2013 Andrea Musuruane <musuruan@gmail.com> - 2.2.1-1
- Updated to new upstream realease
- Packaged fceux-net-server too
- Imported Debian patches
- Enabled LUA scripting

* Sun Mar 03 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.1.5-3
- Mass rebuilt for Fedora 19 Features

* Sat Apr 28 2012 Andrea Musuruane <musuruan@gmail.com> 2.1.5-2
- Obsoleted gfceu too
- Notified upstream about underlinking

* Sun Apr 22 2012 Andrea Musuruane <musuruan@gmail.com> 2.1.5-1
- First release for RPM Fusion
- LUA support is disabled because fceux uses a private header file
- Reused Gentoo and upstream patches
- Made a patch not to use the bundled minizip library

